Tutorials PiXimperfect Compositing
PiXimperfect Compositing is a UXP Plugin that requires Photoshop version 23 or later. You can install and manage the plugin directly in Creative Cloud Marketplace or download the CCX file directly from this website and install it via double-click. Either way you need a free My Picture Instruments account to use it. By purchasing a license, all functions will be unlocked.

PiXimperfect Compositing - Introduction

How to install and use Photoshop UXP Plugins

Plugin for:

$2.40 / Month or perpetual $129
+ VAT if applicable
PiXimperfect Compositing is a UXP Plugin that requires Photoshop version 23 or later. You can install and manage the plugin directly in Creative Cloud Marketplace or download the CCX file directly from this website and install it via double-click. Either way you need a free My Picture Instruments account to use it. By purchasing a license, all functions will be unlocked.